{% for p in site.pages %}
  {% if include.item.external or p.url == include.item.url %}
    <li class="p-navigation__item {% if include.item.url == include.parent.url %}p-navigation__banner p-navigation__logo{% elsif p.url == page.url %}p-navigation__item--current{% endif %}">
      <a class="p-navigation__link" href="{% if include.item.external %}{{ include.item.url }}{% else %}{{ p.url | relative_url }}{% endif %}">
        {% if include.item.footer %}
          {{ include.item.footer }}
        {% elsif include.item.title %}
          {{ include.item.title }}
        {% else %}
          {{ p.title }}
        {% endif %}
      </a>
    </li>
    {% break %}
  {% endif %}
{% endfor %}
